#!/usr/local/bin/bash

#============================================================
# start_menu_help
#
#
#
#============================================================

function start_menu_help () {


	cat <<EOM > $TEMP
	CONFIGURATION OPTIONS

Create a new Configuration File
-------------------------------
	Creates a new wanpipe#.conf file from 
scratch. 

Edit existing Configuration File
--------------------------------
	Loads already existing configuration
file for  reconfiguration.

EOM
	text_area 

}

#============================================================
# create_menu_help 
#
#
#
#============================================================


function create_menu_help () {

	local opt=$1

	case $opt in

	select_protocol)

	cat <<EOM > $TEMP

	PROTOCOL DEFINITION	

Select one of the supported WAN protocols.

Options: Frame Relay, Cisco HDLC and PPP

Warning: If you change the protocol, the current 
         configuration will be reset.

EOM
	;;

	device_setup)
	
	cat <<EOM >$TEMP

	HARDWARE CONFIGURATION

Setup and configure hardware parameters for the
Sangoma Wanpipe(tm) card.

EOM
	;;

	define_interface)
	
	cat <<EOM >$TEMP

	NETWORK INTERFACE/PROTOCOL CONFIGURATION

Define and configure network interfaces and 
interface specific protocol options for the 
Sangoma Wanpipe(tm) drivers.	


EOM
	;;
	*)
		return
	;;
	esac
	
	text_area 20 60  

}

#============================================================
# select_protocol_help  
#
#
#
#============================================================

function select_protocol_help () {

	local opt=$1

	case $opt in

	WAN_FR)
		cat <<EOM >$TEMP

	FRAME RELAY PROTOCOL

Consult your ISP provider on which protocol
you use.


EOM
		;;

	WAN_CHDLC)
		cat <<EOM >$TEMP

	CISCO HDLC PROTOCOL 

Consult your ISP provider on which protocol
you use.


EOM
		;;
	WAN_PPP)
		cat <<EOM >$TEMP

	POINT TO POINT (PPP) PROTOCOL 

Consult your ISP provider on which protocol
you use.

EOM
		;;
	*)
		return
		;;

	esac

	text_area 20 60
}




#============================================================
# def_device_opt_help  
#
#
#
#============================================================


function def_device_opt_help () {

	cat <<EOM >$TEMP

	WAN Device Definition Options

Wanpipe Device:
--------------
	Select this option to define a Wan device name.
	If this is a first card in the system, the 
	device should be: wanpipe1.

WAN Protocol:
------------
	Select this option to specify a protocol, which
	should be loaded onto the above device.
EOM

	text_area

}

#============================================================
# interface_num_menu_help
#
#
#
#============================================================


function interface_num_menu_help () {

	if [ $1 -eq 0 ]; then

	cat <<EOM > $TEMP

	MAIN NETWORK INTERFACE CONFIGURATION

	Each network interface has the following
options: Interface Name and Operation Mode. Frame
Relay also has the option of DLCI.  

	Thus, select and configure each interface
displayed in the menu.  When the configuration is
complete the interface name will be displayed. 

EOM
	else

	cat <<EOM > $TEMP

	MAIN INTERFACE/PROTOCOL SETUP





EOM
	fi

	text_area

}

#============================================================
# interface_menu_help 
#
#
#
#============================================================

function interface_menu_help () {
	local opt="$1"

	case $opt in

	get_interface_name)

	cat <<EOM > $TEMP
Interface Name
--------------

	Name of the wanpipe interface which will
be displayed in ifconfig. This interface name will
also be associated with the local and remote IP of
device wanpipe$DEVICE_NUM. 

	The Wanpipe configurator always prepends the
selected interface name with 'wp#' where #=1,2,3... is 
the device number selected previously. In this case the 
interface name will be prepended with 'wp$DEVICE_NUM'.

eg)
   The way to decode the interface name: 'wp1_ppp' 
   is the following: Interface name ppp on device 
                     wanpipe1.
EOM
		;;

	
	get_operation_mode)

	cat <<EOM >$TEMP

Operation Mode
==============

	Wanpipe drivers can work in two modes:

  WANPIPE Mode 	
  ------------     
	Driver links to the IP stack, and behaves like 
  an ethernet device. The FreeBSD routing stack 
  determines how to send and receive packets.

  API Mode:
  ---------
	Wanpipe driver uses a special Berkley Packet Filter 
  to directly couple the user application to the driver.
  Thus, user application can send and receive raw data 
  to and from the wanpipe driver.

  Note: API option is currently only availabe on 
        CHDLC and Frame Relay protocols.
         
EOM
	;;
	
	get_dlci)

	cat <<EOM > $TEMP
	
DLCI Number
-----------

	DLCI number specifies a frame relay
logical channel.  Frame Relay protocol multiplexes the
physical line into number of channels, each one of 
these channes has a DLCI number associated with it.

Please enter the DLCI number as specified by your 
ISP.

EOM
	;;

	prot_inter_setup)

	cat <<EOM > $TEMP

Interface Specific Protocol Setup
---------------------------------

	Further protocol setup. The following
options are network interface specific.

EOM
	;;

	num_of_dlci)
	cat <<EOM >$TEMP

Number of DLCIs supported
-------------------------

Number of DLCIs supported by this Frame
Relay connection. 

For each DLCI, a network interface will be 
created. 

Each network interface must be configured with 
an IP address. 

EOM
	;;

	ip_setup)

	cat <<EOM > $TEMP

IP Address Setup
----------------

	IP addresses must be defined for each
network interface.  

EOM
	;;

	*)
		return
	;;
	esac
	text_area 20

}

#============================================================
# interface_setup_help
#
#
#
#============================================================


function interface_setup_help () {


	local opt=$1


	case $opt in

	get_cir)
		cat <<EOM >$TEMP

	Frame Relay: Commited Information Rate (CIR)

	This parameter enables or disables Committed 
Information rate on the board.  Options are 1 - 512 kbps.    
 
NOTE THAT THIS VALUE REFERS TO ONLY TRANSFERRING  
DATA PACKETS.   
 
NOTE: In order to disable the CIR:  CIR, BC and BE 
      fields must be commented out.  The interface 
      will fail if any of these are left out. 

Default: NO 

EOM
		;;
	get_be)
		cat <<EOM >$TEMP

	Frame Relay: Excess Burst Size (BE) 

	This parameter states the Excess Burst Size. 

Options are:  0 - 512 kbits. 

Default: NO

EOM
		;;
	get_bc)
		cat <<EOM >$TEMP

	Frame Relay: Committed Burst Size (BC) 

	This parameter states the Committed Burst Size. 

Options are 1 - 512 kbits.  
           
NOTE: For wanpipe drivers 2.1.X and greater: 
      If CIR is enabled, the driver will set BC to the
      CIR value. 

EOM
		;;
	get_multicast)
		cat <<EOM >$TEMP

	MULTICAST

	If enabled driver sets the IFF_MULTICAST 
bit in network device structure.

Available options are: 

 YES : Set the IFF_MULTICAST bit in device structure 
 NO  : Clear the IFF_MULTICAST bit in device structure 
      
Default: NO

EOM
		;;
	get_inarp)
		cat <<EOM >$TEMP

	INVERSE ARP
	
	This parameter enables or disables transmission 
of Inverse Arp Request packets. 

Default: NO
 
EOM
		;;
	get_inarp_int)
		cat <<EOM >$TEMP

	INVERSE ARP INTERVAL

	This parameter sets the time interval in seconds 
between Inverse ARP Request. 

Default: 10 sec 

EOM
		;;
	get_ig_dcd)
		cat <<EOM >$TEMP

	CHDLC: IGNORE DCD 

	This parameter decides whether DCD will be ignored or 
not when determining active link status for Cisco HDLC. 

Options:  

 YES: Ignore DCD  
 NO : Do not ignore DCD  

 Default: NO 

EOM
		;;
	get_ig_cts)
		cat <<EOM >$TEMP

	CHDLC: IGNORE CTS 

	This parameter decides whether CTS will be ignored or 
not when determining active link status for Cisco HDLC. 

Options:  

 YES : Ignore CTS 
 NO  : Do not ignore CTS  

 Default: NO 



EOM
		;;
	get_ig_keep)
		cat <<EOM >$TEMP

	CHDLC: IGNORE KEEPALIVE Packets

	This parameter decides whether Keep alives will be  
ignored or not when determining active link status for 
Cisco HDLC.  

Options:   
 YES : Ignore Keep Alive packets 
 NO  : Do not ignore Keep Alive packets   

 Default: NO 

EOM
		;;
	get_stream)
		cat <<EOM >$TEMP
	HDLC Streaming Help

	This parameter turns off Cisco HDLC protocol, and 
uses raw frames without polling for communication.
	 
Options:

 YES : Enable HDLC Steraming
 NO  : Disable HDLC Streaming

 Default:NO


EOM
		;;
	get_tx_time)
		cat <<EOM >$TEMP

	KEEPALIVE_TX_TIMER 

	This parameter states the interval between keep alive. 
If you are set to ignore keepalives then this value is 
meaningless. The value of this parameter is given in  
milliseconds.  
 
Range:   0 - 60000 ms.  
Default: 10000 ms 
	
EOM
		;;
	get_rx_time)
		cat <<EOM >$TEMP

 	KEEPALIVE_RX_TIMER 

	This parameter states the interval to expect keepalives 
If you are set to ignore keepalives then this value is 
meaningless. The value of this parameter is given in 
milliseconds.   
 
Range  : 10 - 60000 ms.  
Default: 11000 ms 

EOM
		;;
	get_err_mar)
		cat <<EOM >$TEMP

	KEEPALIVE_ERR_MARGIN

	This parameter states the number of consecutive keep  
alive timeouts before bringing down the link.  If  you  
are set to ignore keepalives then this value is meaning 
less.   
 
Range: 1 - 20.   
Default: 5  

EOM
		;;
	get_slarp)
		cat <<EOM >$TEMP

	CHDLC IP ADDRESSING MODE 

Used to enable STATIC or DYNAMIC IP addressing

Options:
-------
   YES : Use Dynamic IP Addressing
   NO  : Use Static IP Addressing

Note: Dummy IP addresses must be supplied for
      LOCAL and POINTOPOINT IP addresses, in 
      ip interface setup, regardless of the IP MODE
      used.
      
EOM
		;;
	get_pap)
		cat <<EOM >$TEMP

	PPP Authentication Protocol (PAP)

	This parameter enables or disables the use of PAP. 

Available options are: 
     
YES : Enable PAP    
NO  : Disable PAP 
 
This option is needed regardless of the station being 
an AUTHENTICATOR. 
 
EOM
		;;
	get_chap)
		cat <<EOM >$TEMP

	CHAP

	This parameter enables or disables the use of CHAP. 

Available options are: 
      
YES : Enable CHAP 
NO  : Disable CHAP 
 
This option is needed regardless of the station being 
an AUTHENTICATOR. 

EOM
		;;
	get_ipx)
		cat <<EOM >$TEMP
	Ipx Help
EOM
		;;
	get_network)
		cat <<EOM >$TEMP
	Ipx Network Help
EOM
		;;
	get_userid)
		cat <<EOM >$TEMP

	PPP: USERID

	This parameter is dependent on the AUTHENTICATOR 
parameter.  If AUTHENTICATOR is set to NO then 
you will simply enter in your login name that the 
other side specified to you. 
 
	If AUTHENTICATOR is set to YES then you will have to 
maintain a list of all the users that are valid for 
authentication purposes. If your list contains ONLY 
ONE MEMBER then simply enter in the login name.  If 
the list contains more than one member then follow 
the below format: 

            USERID = LOGIN1 / LOGIN2 / LOGIN3....so on 
      
The "/" separators are VERY IMPORTANT if you have  
more than one member to support. 
	
EOM
		;;
	get_passwd)
		cat <<EOM >$TEMP

	PPP: PASSWD
	
	This parameter is dependent on the AUTHENTICATOR  
parameter.  If AUTHENTICATOR is set to NO then you 
will simply enter in your password for the login 
name that the other side specified to you. 
 
	If AUTHENTICATOR is set to YES then you will 
have to maintain a list of all the passwords for all the  
users that are valid for authentication purposes.  If 
your list contains ONLY ONE MEMBER then simply enter 
in the password for the corresponding login name in 
the USERID parameter.  If the list contains more than 
one member then follow the format below: 
 
      PASSWD = PASS1 / PASS2 / PASS3....so on 
 
The "/" separators are VERY IMPORTANT if you have more 
than one member to support.  The ORDER of your passwords 
is very important.  They correspond to the order of  
the userids. 

EOM
		;;
	get_sysname)
		cat <<EOM >$TEMP

	PPP: SYSNAME 

	This parameter is dependent on the AUTHENTICATOR  
parameter.  If AUTHENTICATOR is set to NO then you can 
simply ignore this parameter. (comment it ) 
 
If AUTHENTICATOR is set to YES then you have to enter 
Challenge system name which can be no longer than 31 
characters. 


EOM
		;;
	esac

	text_area 20 70
}

#============================================================
# device_setup_help
#
#
#
#============================================================


function device_setup_help () {

	local opt=$1

	case $opt in

	get_device_type)
		cat <<EOM >$TEMP

	ADAPTER TYPE 

	Adapter type for Sangoma wanpipe cards.

Options:
-------
	S508 : Card with ISA Adapter
	S514 : Card with PCI Adapter 

EOM
	;;
	get_s514_cpu)
		cat <<EOM >$TEMP

	S514 CPU 

	The new PCI cards contain dual CPUs, where each cpu
can support a different protocol.  Thus its like having two 
cards in one.  (s514 Only)
EOM
	;;
	get_s514_slot)
		cat <<EOM >$TEMP

	S514 PCI SLOT 

	The new S514 cards work on a PCI bus. Thus a correct
PCI slot number must be selected.  The autodetect
functions makes this process painless. Moreover, S514
PCI cards use interrupt sharring, thus IRQ value is
not needed.  (s514 Only)

Availabe Option:

0 : Autodetect

N : Actual PCI Slot Number (where N = any integer 
			              greater than zero)

EOM
	;;
	get_s508_io)
		cat <<EOM >$TEMP

	S508 IO PORT

	Adapters I/O port address.  Make sure there is no 
conflict in /proc/ioports. (Mandatory for all cards and protocols) 
IO port address values are set by the jumpers on the S508 board.
Refer to the user manual for the jumper setup. 

EOM
	;;
	get_s508_irq)
		cat <<EOM >$TEMP

	S508 IRQ 

	Adapters interrupt request level.  Make sure there is 
no conflict in /proc/interrupts. (Mandatory for all cards and 
protocol)  These are software set. 

EOM
	;;
	get_firmware)
		cat <<EOM >$TEMP

	PROTOCOL FIRMWARE 
 
	Full, absolute path to wanpipe firmware files. 
(Mandatory for all cards) 

Default: /usr/local/wanrouter/sfm

EOM
	;;
	get_memory)
		cat <<EOM >$TEMP

	MEMORY ADDRESS

	Address of the adapter shared memory window.  
If set to Auto the memory address is determined 
automatically. 

Default: Auto

EOM
	;;
	get_interface)
		cat <<EOM >$TEMP

	INTERFACE

	Physical interface type. Available options are: 
o RS232   RS-232C interface (V.10) 
o V35     V.35 interface (X.21/EIA530/RS-422/V.11) 
 
DOES NOT APPLY TO FT1 CARDS. 
EOM
	;;
	get_clocking)
		cat <<EOM >$TEMP

	CLOCKING 

	Source of the adapter transmit and receive clock  
signals.  Available options are: 
 
External:  Clock is provided externally (e.g. by  
           the modem or CSU/DSU).  Use this for FT1 boards. 

Internal:  Clock is generated on the adapter. 
           When there are two Sangoma Cards back 
           to back set clocking to Internal on one 
           of the cards. 
      
Note: Jumpers must be set for internal or external 
      clocking for RS232 commuincation on:
      s508 board: RS232 SEC port
      s514 board: RS232 PRI and SEC port

EOM
	;;
	get_baudrate)
		cat <<EOM >$TEMP

	BAUDRATE 

	Data transfer rate in bits per second.  These values 
are meaningful if internal clocking is selected.  
(like in a back-to-back testing configuration) 

EOM
	;;
	get_mtu)
		cat <<EOM >$TEMP

	MTU

	Maximum transmit unit size (in bytes).  This value  
limits the maximum size of the data packet that can be  
sent over the WAN link, including any encapsulation  
header that router may add.  

Default: 1500 

EOM
	;;
	get_udpport)
		cat <<EOM >$TEMP

	UDPPORT 

	The UDP port to be used for UDP management by the  
monitor (explained later).  The monitor utilities like 
fpipemon, cpipemon and ppipemon should refer to the udpport 
defined here. 


EOM
	;;
	get_station)
		cat <<EOM >$TEMP

	Frame Relay: STATION

	This parameter specifies whether the  adapter 
should operate as a Customer  Premises Equipment (CPE) 
or emulate a  frame relay switch (Access Node).   

Available options are: 
     CPE     CPE mode (default) 
     Node    Access Node (switch emulation  
                           mode) 

Default: CPE

EOM
	;;
	get_signal)
		cat <<EOM >$TEMP

	Frame Relay: SIGNALLING

	This parameter specifies frame relay link management  
type.  Available options are: 
                  
  ANSI    ANSI T1.617 Annex D (default) 
  Q933    ITU Q.933A 
  LMI     LMI 
  No      Turns off polling, thus DLCI becomes active 
	  regardless of the remote end. 
          (This option is for NODE configuration only)

Default: ANSI

EOM
	;;
	get_T391)
		cat <<EOM >$TEMP

	Frame Relay: T391 TIMER 

	This is the Link Integrity Verification Timer value in  
seconds.  It should be within a range from 5 to 30 and  
is relevant only if adapter is configured as CPE. 

EOM
	;;
	get_T392)
		cat <<EOM >$TEMP

	Frame Relay: T392 TIMER

	This is the Polling Verification Timer value in seconds. 
It should be within a range from 5 to 30 and is relevant 
only if adapter is configured as Access Node.

EOM
	;;
	get_N391)
		cat <<EOM >$TEMP

	Frame Relay: N391 

	This is the Full Status Polling Cycle Counter. Its  
value should be within a range from 1 to 255 and is  
relevant only if adapter is configured as CPE. 

EOM
	;;
	get_N392)
		cat <<EOM >$TEMP
	
	Frame Relay: N392 

	This is the Error Threshold Counter. Its value should  
be within a range from 1 to 10 and is relevant for both  
CPE and Access Node configurations.

EOM
	;;
	get_N393)
		cat <<EOM >$TEMP

	Frame Relay: N393 

	This is the Monitored Events Counter. Its value should  
be within a range from 1 to 10 and is relevant for both  
CPE and Access Node configurations. 

EOM
	;;
	get_ttl)
		cat <<EOM >$TEMP

	TTL

	This keyword defines the Time To Live for a UDP 
packet used by the monitoring system.  The user can  
control the scope of a UDP packet by associating a  
number that decrements with each hop.

EOM
	;;
	get_commport)
		cat <<EOM >$TEMP

	CHDLC COMMUNICATION PORT

	Currently only CHDLC can use both ports on a S508 or
S514PCI card at the same time. Thus, two physical links can be 
hooked up to a single card using CHDLC protocol.

Availabe options:

PRI: Primary High speed port
	S508: up to 2Mbps
	S514: up to 4Mbps

SEC: Secondary Low speed port
	S508: up to 256Kbps
	S514: up to 512Kbps

Default: PRI
 
EOM
	;;
	get_ipmode)
		cat <<EOM >$TEMP

	PPP IP MODE 

	This parameter decides whether you want to 
use dynamic or static IP addressing.

Options: 
--------

STATIC:   
 	If you are configured as STATIC then your side 
	will not request for IP addresses. 
PEER:
	If you are configured as PEER then your side will 
	request the remote end for local and remote IP 
	address. 

Default: STATIC 

EOM
	;;
	esac
	text_area 20 70

}


function ip_setup_help () {

	local opt=$1

	case $opt in

	get_local_ip)
		cat <<EOM >$TEMP

	LOCAL IP ADDRESS

WARNING: This program does no checking of any of the IP 
         entries. Correct configuration is up to you ;) 
         Additional routes may have to be added manually,
         to resolve routing problems.
         
	Defines IP address for this interface.  IP addresses 
are written as four dot-separated decimal numbers from 0 to 255 
(e.g. 192.131.56.1).  Usually this address is assigned to you by 
your network administrator or by the Internet service provider.

Default: Consult your ISP

EOM
		;;
	get_rmt_ip)
		cat <<EOM >$TEMP

	POINTOPOINT IP ADDRESS

	Most WAN links are of point-to-point type, which means 
that there is only one machine connected to the other end of the 
link and its address is known in advance.  This option is the 
address of the 'other end' of the link and is usually assigned 
by the network administrator or Internet service provider.

Default: Consult your ISP

EOM
		;;
	get_netmask)
		cat <<EOM >$TEMP

	NETMASK IP ADDRESS

	Defines network address mask used to separate host 
portion of the IP address from the network portions.  

	The default of 255.255.255.255 specifies a 
point-to-point connection which is almost always OK.

        You may want to override this  when you create 
sub-nets within your particular address class.  In this case 
you have to supply a netmask.  Like the IP address, the 
netmask is written as four dot-separated decimal numbers from 
0 to 255 (e.g. 255.255.255.0).

Default: Consult your ISP

EOM
		;;
	get_bcast)
		cat <<EOM >$TEMP

	BROADCAST IP ADDRESS

	This option is reserved for media supporting broadcast 
addressing, such as Ethernet

Default: Leave Empty 

EOM
		;;

	get_default)
		cat <<EOM >$TEMP

	SET DEFAULT ROUTE

	This option will create a default route, meaning 
that all network traffic with no specific route found 
in the routing table will be forwarded to this interface.  

Default route is useful for connections to the 
'outside world', such as Internet service provider.

If unsure select NO.

Options:
--------
   YES : Set default route
   NO  : No default route

EOM
		;;

	get_network)
		cat <<EOM >$TEMP

	NETWORK IP ADDRESS

	This is the address of the network you are connecting 
to.  It is used to set up the kernel routing tables.  By supplying 
this address you instruct the kernel to direct all network traffic 
destined to that network to this interface.  

        Like any other IP address, the network address is 
written as four dot-separated decimal numbers from 0 to 255 
(e.g. 192.131.56.0).  Alternatively, you can use symbolic 
network name from the /etc/networks file in place of the 
numeric address.  
 
        A special case is the network address 0.  This will 
create a default route, meaning that all network traffic with no 
specific route found in the routing table will be forwarded 
to this interface.  Default route is useful for connections to 
the 'outside world', such as Internet service provider.

Default: Leave Empty

EOM
		;;
	get_gateway)
		cat <<EOM >$TEMP

	GATEWAY IP ADDRESS

	If the network you are connecting to is not directly 
reachable, you may also specify a gateway address.  Note however, 
that gateway has to be reachable, i.e. a static route to the 
gateway must exist.  The gateway address also follows usual IP 
address notation or can be replaced with the symbolic name 
from the /etc/host file.

Default: Leave Empty

EOM
		;;
	*)
		return
		;;
	esac
	text_area 20 70

}







#============================================================
# error
#
#
#
#============================================================


function error () {

	local opt=$1
	local num=$2

	cat <<EOM >$TEMP
	!!! WANPIPE CONFIGURATOR FAILURE !!!

	Configuration parse check failed due to 
	unconfigured options.	 

EOM

	case $opt in


	DEVICE_NUM)
		cat <<EOM >>$TEMP
Error:
------
	Wanpipe device name has not been defined.
EOM
		;;

	NUM_OF_INTER)
		cat <<EOM >>$TEMP

Error:
------
	No network interfaces specified.  
EOM
		;;
	DEVICE_TYPE)
		cat <<EOM >>$TEMP

Error:
------
	Physical device not configured. 

EOM
		;;
	IF_NAME)
		cat <<EOM >>$TEMP
Error:
------
	Interface name was not specified for interface
number $num.
EOM
		;;
	DLCI_NUM)
		cat <<EOM >>$TEMP


Error:
-----
	DLCI number was not specified for
interface number $num.
EOM
		;;
	INTR_STATUS)
		cat <<EOM >>$TEMP

Error:
------
	Protocol information for Interface ${IF_NAME[$num]} 
was not configured.
EOM
		;;	

	CIR_BC)
		cat <<EOM >>$TEMP

Error:
------
	When CIR is enabled, BC must also be enabled. 
In most cases CIR and BC should be the same value.
EOM
		;;
	CIR_BE)
		cat <<EOM >>$TEMP

Error:
------
	When CIR is enabled, BE must also be enabled.
In most cases BE is set to zero.
EOM
		;;
	IP_STATUS)
		cat <<EOM >>$TEMP

Error:
------
	IP address information for Interface 
${IF_NAME[$num]} was not configured.		

EOM
		;;
	L_IP)
		cat <<EOM >>$TEMP

Error:
------
	Local IP Address has not been defined for
interface ${IF_NAME[$num]}.
EOM
		;;
	R_IP)	
		cat <<EOM >>$TEMP

Error:
------
	Remote IP Address has not been defined for
interface ${IF_NAME[$num]}.
EOM
		;;
	NMSK_IP)
		cat <<EOM >>$TEMP

Error:
------
	Netmask address has not been defined for 
interface ${IF_NAME[$num]}.	
EOM
		;;
	SAVE_OK)
		cat <<EOM >$TEMP

          !! SAVE SUCCESSFULL !! 

   Wanpipe configuraton for device wanpipe$DEVICE_NUM
         was saved successfully in:  
       
             $WAN_CONFIG !
EOM
		;;
	FIRMWARE)
		cat <<EOM >$TEMP

	FIRMWARE PATH ERROR !!!
	
The directory $FIRMWARE 
does not exist.

EOM
		;;
	*)
		return
		;;
	esac

	text_area
}

function warning () {

	local opt=$1

	case $opt in

	EDIT_NOT_EXIST)
		cat <<EOM >$TEMP

	!!! WANCONFIG WARNING !!!

   Wan Device 'wanpipe$DEVICE_NUM' does not exist.

          Would you like to create it ?

Options:
-------
   YES : Create new confguration for wanpipe$DEVICE_NUM
   NO  : Choose a different Wan device name
EOM
		;;

	NEW_EXIST)

		cat <<EOM >$TEMP

	!!! WANCONFIG WARNING !!!

  Wan Device 'wanpipe$DEVICE_NUM' already exists. 

          Would you like to edit it ?  

Options: 
-------
   YES : Proceed to edit wanpipe$DEVICE_NUM 
   NO  : Proceed to overwrite wanpipe$DEVICE_NUM configuration
EOM
		;;
	SAVE_CONFIG)
		cat <<EOM >$TEMP

	     SAVE CONFIGURATION    	

     Would you like to save your wanpipe$DEVICE_NUM
               configuration ?

Options:
-------
   YES : Save Configuration and Exit
   NO  : Do not save and Exit

EOM
		;;
	ARE_YOU_SURE)
		cat <<EOM >$TEMP

	!!! CONCLUDE CONFIGURATION !!!

	Are you sure you want conclude the
	configuration for device wanpipe$DEVICE_NUM ?


Options:
--------
   YES : Proceed to EXIT with an option to save. 
   NO  : Go back 

EOM
		;;

	PROTOCOL_CHANGE)
		cat <<EOM >$TEMP

	!!! WANCONFIG WARNING !!!

	If you change the protocol, your 
current wanpipe configuration will be erased.

  Would you like to change the protocol ?


Options:
-------
   YES: Proceed to change the protocol.
   NO : Do not change the protocol.
EOM
		;;
	IP_ADDR)
		cat <<EOM >$TEMP

	Illegal IP address specified !!

        Would you like to try again ?

Note:
----
IP addresses are written as four dot-separated 
decimal numbers from 0 to 255 
(e.g. 192.131.56.1)

Options:
--------
   YES : Input a new IP address again
   NO  : Stick with the previously defined 
         address

EOM
		;;

	BAD_STRING)
		cat <<EOM >$TEMP

            !!! STRING ERROR !!! 
	
      You have selected an invalid string.

        Would you like to try again ?

Options:
-------
   YES : Input a new string again
   NO  : Use the previously defined string.
	
EOM
		;;

	get_default)

		cat <<EOM >$TEMP

            SET DEFAULT ROUTE
	
    Would you like to set up this interface
            as a default route ?

Options:
-------
   YES:  Set Default Route
   NO :  No Default Route   

EOM
		;;
	get_slarp)
		cat <<EOM >$TEMP
	
	CHDLC IP ADDRESSING MODE

    Would you like to use dynamic IP 
           adderssing mode ?

Opitons:
-------
   YES : Use dynamic IP addressing
   NO  : Use static IP addressing

EOM
		;;
	esac

	text_yesno 20 55
}



