/*
 * Copyright (c) 1997, 1998, 1999
 *	Alex Feldman <al.feldman@sangoma.com>.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *	This product includes software developed by Alex Feldman.
 * 4. Neither the name of the author nor the names of any co-contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY Alex Feldman AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL Alex Feldman OR THE VOICES IN HIS HEAD
 * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
 * THE POSSIBILITY OF SUCH DAMAGE.
 *
 *	$Id: sdla_dev.h,v 1.1.1.1 2000/01/17 22:01:24 alexf Exp $
 */

/*****************************************************************************
 * sdla_dev.h	SDLA ISA/PCI Header.
 *
 * Author:	Alex Feldman	<al.feldman@sangoma.com>
 *
 ****************************************************************************
 */

#ifndef __SDLA_DEV_H
#    define __SDLA_DEV_H

/* I/O ports */
#define _INB(port)       (inb(port))
#define _OUTB(port,byte) (outb(port,byte))

/* read a value off base + _offset */
#define s508_read_port(_addr, _offset) _INB(_addr + _offset)

#define SDLA_DEV_NAME "sdla"

/* SDLA ISA device name */
#define SDLA_ISA_DEV_NAME "sdlai"

/* SDLA PCI device name */
#define SDLA_PCI_DEV_NAME "sdlap"

#include <pci/pcireg.h>
#include <pci/pcivar.h>
 
/****** SDLA ISA/PCI Info structure *****************************************/
typedef struct
{
    int      type;		/* Device type (SDLA_S508 or SDLA_S514) */
    void     *arg;		/* Pointer to specific card */
    void     (*isr)(void *arg); /* Interrupt handler */
    union {
	struct {
	    int		 isa_unit;
	    int          irq;
	    caddr_t      maddr;
	    unsigned int ioport;
	} isa;
	struct {
            pcici_t  cfg;		/* configuration structure */
	    char     cpu_no;		/* CPU number */
	} pci;
    } u;
} sdladev_t;

#endif /* __SDLA_DEV_H */
/****** End *****************************************************************/
