/*
 * Copyright (c) 1997, 1998, 1999
 *	Alex Feldman <al.feldman@sangoma.com>.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *	This product includes software developed by Alex Feldman.
 * 4. Neither the name of the author nor the names of any co-contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY Alex Feldman AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL Alex Feldman OR THE VOICES IN HIS HEAD
 * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
 * THE POSSIBILITY OF SUCH DAMAGE.
 *
 *	$Id: wanr_cdev.h,v 1.1.1.1 2000/01/17 22:01:24 alexf Exp $
 */

/*
 ****************************************************************************
 * wan_cdev.h  Header for wanrouter KLD module implementing a character 
 *			  device driver.	
 *
 * Author:	Alex Feldman  <al.feldman@sangoma.com>
 *
 * ======================  HISTORY REVSION =================================
 *
 ****************************************************************************
 */
#ifndef __WANR_CDEV_H
#define __WANR_CDEV_H

#include <sys/conf.h>

#define CDEV_MAJOR 139

d_open_t wanrouter_open;
d_close_t wanrouter_close;
d_ioctl_t wanrouter_ioctl;

static struct cdevsw wanrouter_devsw = 
{
		wanrouter_open,
		wanrouter_close,
		noread,
		nowrite,
		wanrouter_ioctl,
		nostop,
		nullreset,
		nodevtotty,
		NULL,
		nommap,
		NULL,
		"wanrouter",
		NULL,
		CDEV_MAJOR
};

#endif /* __WANR_CDEV_H */
